org.apache.tinkerpop.gremlin.neo4j.structure

## Class Neo4jGraph.Neo4jGraphFeatures.Neo4jEdgeFeatures

- java.lang.Object
- - org.apache.tinkerpop.gremlin.neo4j.structure.Neo4jGraph.Neo4jGraphFeatures.Neo4jElementFeatures
  - - org.apache.tinkerpop.gremlin.neo4j.structure.Neo4jGraph.Neo4jGraphFeatures.Neo4jEdgeFeatures

- All Implemented Interfaces:
    Graph.Features.EdgeFeatures, Graph.Features.ElementFeatures, Graph.Features.FeatureSet
  Enclosing class:
    Neo4jGraph.Neo4jGraphFeatures

      public class Neo4jGraph.Neo4jGraphFeatures.Neo4jEdgeFeatures
      extends Neo4jGraph.Neo4jGraphFeatures.Neo4jElementFeatures
      implements Graph.Features.EdgeFeatures

- - ### Property Summary

    - ### Properties inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.ElementFeatures

      `supportsAddProperty, supportsRemoveProperty`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.EdgeFeatures

      `FEATURE_ADD_EDGES, FEATURE_REMOVE_EDGES, FEATURE_UPSERT`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.ElementFeatures

      `FEATURE_ADD_PROPERTY, FEATURE_ANY_IDS, FEATURE_CUSTOM_IDS, FEATURE_NUMERIC_IDS, FEATURE_REMOVE_PROPERTY, FEATURE_STRING_IDS, FEATURE_USER_SUPPLIED_IDS, FEATURE_UUID_IDS`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Graph.Features.EdgePropertyFeatures` | `properties()` Gets features related to "properties" on an `Edge`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.neo4j.structure.Neo4jGraph.Neo4jGraphFeatures.Neo4jElementFeatures

      `supportsAnyIds, supportsCustomIds, supportsStringIds, supportsUserSuppliedIds, supportsUuidIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.EdgeFeatures

      `supportsAddEdges, supportsRemoveEdges, supportsUpsert`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.ElementFeatures

      `supportsAddProperty, supportsAnyIds, supportsCustomIds, supportsNumericIds, supportsRemoveProperty, supportsStringIds, supportsUserSuppliedIds, supportsUuidIds, willAllowId`

- - ### Method Detail

    - #### properties

          public Graph.Features.EdgePropertyFeatures properties()

      Description copied from interface: `Graph.Features.EdgeFeatures`
      Gets features related to "properties" on an `Edge`.
      Specified by:
        `properties` in interface `Graph.Features.EdgeFeatures`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.